org.jgroups.blocks

## Class LockNotGrantedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.blocks.LockNotGrantedException

All Implemented Interfaces:
  java.io.Serializable

    public class LockNotGrantedException
    extends java.lang.Exception

This exception indicated that lock manager refused to give a lock on some resource.

Author:
  Roman Rokytskyy (rrokytskyy@acm.org)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockNotGrantedException()`
`LockNotGrantedException(java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockNotGrantedException

    public LockNotGrantedException()

#### LockNotGrantedException

    public LockNotGrantedException(java.lang.String s)